%define major_version 1.1
%define minor_version 5

Name: idm-console-framework
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: Identity Management Console Framework

Group: System Environment/Libraries
License: LGPLv2
URL: http://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: http://port389.org/sources/%{name}-%{version}.tar.bz2
Requires: ldapjdk
Requires: jss >= 4.2
# Urge use of OpenJDK for runtime
Requires: java >= 1:1.6.0
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk
BuildRequires: jss >=  4.2 

%description
A Java Management Console framework used for remote server management.

%prep
%setup -q

%build
java -version
javac -version
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Dbuilt.dir=`pwd`/built \
    -Dclassdest=%{_javadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/release/jars/idm-console-* $RPM_BUILD_ROOT%{_javadir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s idm-console-base-%{version}.jar idm-console-base-%{major_version}.jar
ln -s idm-console-base-%{version}.jar idm-console-base.jar
ln -s idm-console-mcc-%{version}.jar idm-console-mcc-%{major_version}.jar
ln -s idm-console-mcc-%{version}.jar idm-console-mcc.jar
ln -s idm-console-mcc-%{version}_en.jar idm-console-mcc-%{major_version}_en.jar
ln -s idm-console-mcc-%{version}_en.jar idm-console-mcc_en.jar
ln -s idm-console-nmclf-%{version}.jar idm-console-nmclf-%{major_version}.jar
ln -s idm-console-nmclf-%{version}.jar idm-console-nmclf.jar
ln -s idm-console-nmclf-%{version}_en.jar idm-console-nmclf-%{major_version}_en.jar
ln -s idm-console-nmclf-%{version}_en.jar idm-console-nmclf_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/idm-console-base-%{version}.jar
%{_javadir}/idm-console-base-%{major_version}.jar
%{_javadir}/idm-console-base.jar
%{_javadir}/idm-console-mcc-%{version}.jar
%{_javadir}/idm-console-mcc-%{major_version}.jar
%{_javadir}/idm-console-mcc.jar
%{_javadir}/idm-console-mcc-%{version}_en.jar
%{_javadir}/idm-console-mcc-%{major_version}_en.jar
%{_javadir}/idm-console-mcc_en.jar
%{_javadir}/idm-console-nmclf-%{version}.jar
%{_javadir}/idm-console-nmclf-%{major_version}.jar
%{_javadir}/idm-console-nmclf.jar
%{_javadir}/idm-console-nmclf-%{version}_en.jar
%{_javadir}/idm-console-nmclf-%{major_version}_en.jar
%{_javadir}/idm-console-nmclf_en.jar

%changelog
* Tue May  4 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- The 1.1.5 release - added code to deal with LDAPv3 escape sequences

* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> 1.1.3-9
- Updated URL

* Mon Feb  9 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-8
- rebuild to pick up some bug fixes

* Tue Jan  6 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-7
- use the epoch with the java-devel version

- added build requires for java-1.6.0
* Mon Jan  5 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-6
- added build requires for java-1.6.0

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-5
- add build requires and requires for java 1.6.0 - otherwise get this error during build:
- [javac] bad class file: /usr/lib/java/jss4.jar(org/mozilla/jss/ssl/SSLSocket.class)
- [javac] class file has wrong version 50.0, should be 49.0

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-4
- bump rev to force rebuild

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-1
- the new and improved 1.1.3 release - FedoraConsoleFramework_1_1_3 FedoraConsoleFramework_1_1_3_20081222

* Tue Dec  2 2008 Rich Megginson <rmeggins@redhat.com> 1.1.2-1
- updated to 1.1.2 - FedoraConsoleFramework_1_1_2

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-7
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-6
- Moved doc home link into theme package.
- Fixed incorrect labels.
- Changed login help to a dialog box.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 1.1.0-5
- Update release number.
- Fix brewbuilder warnings.

* Thu Sep 06 2007 Margaret Lum <mlum@redhat.com> 1.1.0-3
- Use JSS build #37, built with 1.4.2 jdk.
 
* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-2
- Updated sources.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation (based on old fedora-idm-console package).
